import request from '@/utils/request'

// 查询国家公共信用评价信息列表
export function listInformation(query) {
    return request({
        url: '/crmNationalPublicCreditEvaluationInformation/findByPage',
        method: 'get',
        params: query
    })
}

// 查询国家公共信用评价信息详细
export function getInformation(id) {
    return request({
        url: '/crmNationalPublicCreditEvaluationInformation/' + id,
        method: 'get'
    })
}

// 新增国家公共信用评价信息
export function addInformation(data) {
    return request({
        url: '/crmNationalPublicCreditEvaluationInformation',
        method: 'post',
        data: data
    })
}

// 修改国家公共信用评价信息
export function updateInformation(data) {
    return request({
        url: '/crmNationalPublicCreditEvaluationInformation',
        method: 'put',
        data: data
    })
}

// 删除国家公共信用评价信息
export function delInformation(id) {
    return request({
        url: '/crmNationalPublicCreditEvaluationInformation/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delInformationBatch(ids) {
    console.log(ids);
    return request.post('/crmNationalPublicCreditEvaluationInformation/delete',ids)
}